Go to the latest version of this document.

# ``twisted`.`words`.`im`.`interfaces`.`IConversation``

interface documentation

`class IConversation(Interface): (source)`

Constructor: `IConversation(chatui)`

View In Hierarchy

A conversation with a specific person.

Method | `__init__` | No summary
Method | `changedNick` | No summary
Method | `hide` | nor this neither.
Method | `sendText` | Undocumented
Method | `show` | doesn't seem like it belongs in this interface.
Method | `showMessage` | Undocumented

def __init__(person, chatui): (source)

Parameters
person:`IPerson` | Undocumented
chatui | Undocumented

def changedNick(person, newnick): (source)

Parameters
person | XXX Shouldn't this always be Conversation.person?
newnick | Undocumented

def hide(): (source)

nor this neither.

def sendText(text, metadata): (source)

Undocumented

def show(): (source)

doesn't seem like it belongs in this interface.

def showMessage(text, metadata): (source)

Undocumented